body {
    font-family: 'Arial', sans-serif;
    background-color: #000000; /* Fekete háttér */
    padding: 20px;
    color: #ffffff; /* Fehér szöveg a kontraszt érdekében */
}

.team {
    cursor: pointer;
    background-color: #424242; /* Sötétszürke csapatnevek */
    color: white;
    padding: 15px;
    margin: 10px 0;
    border-radius: 8px;
    transition: background-color 0.3s ease;
    font-weight: bold;
}

.team:hover {
    background-color: #616161; /* Világosabb szürke árnyalat */
}

.team-details {
    margin-left: 20px;
    margin-right: 20px; /* Margó jobbra */
    margin-bottom: 10px; /* Margó alul */
    overflow: hidden;
    max-height: 0;
    transition: max-height 0.5s ease-in-out, padding 0.5s ease-in-out;
    padding-left: 0px;
    padding-right: 0px;
    margin-top: 10px;
    background-color: #1E88E5; /* Kék háttér az első szinthez */
    border-radius: 8px;
}

.inner-details {
    margin-left: 20px;
    margin-right: 20px; /* Margó jobbra */
    margin-bottom: 20px; /* Margó alul */
    overflow: hidden;
    max-height: 0;
    transition: max-height 0.5s ease-in-out, padding 0.5s ease-in-out;
    padding: 10px; /* Padding a belső részben */
    background-color: #FFD54F; /* Halványabb sárga háttér a megnyíló részhez */
    border-radius: 8px;
    margin-top: 10px; /* Távolság a gomb és a sárga rész között */
}

.table {
    width: 100%;
    border-collapse: collapse; /* Ez biztosítja, hogy a táblázat cellái igazodjanak */
    margin-top: 10px;
    background-color: transparent; /* Áttetsző háttér a belső táblákhoz */
}

.table th {
    padding: 12px 15px;
    text-align: left;
    font-size: 14px;
    color: #424242;
    background-color: #FFF8E1; /* Fejléc háttérszíne, világosabb sárga */
    text-transform: uppercase;
}

.table td {
    padding: 12px 15px;
    text-align: left;
    font-size: 14px;
    color: #ffffff;
    border-bottom: 1px solid #dcdcdc; /* Halvány vonal a sorok között */
}

.table tr:last-child td {
    border-bottom: none; /* Az utolsó sor alatt ne legyen vonal */
}

.info-cell {
    cursor: pointer;
    color: #FFD54F; /* Halványabb sárga szín */
    text-decoration: none; /* Eltávolítja az aláhúzást */
    font-weight: bold;
    background-color: #424242; /* Sötétszürke háttér a gombhoz */
    padding: 5px 10px;
    border-radius: 12px; /* Szimmetrikusan lekerekített sarkok */
    margin-left: auto; /* A gombot a jobb szélre helyezi */
    margin-right: 15px; /* Kis távolságot hagy a jobb szél előtt */
    margin-bottom: 10px; /* Növelt margó az aljához */
    display: inline-block; /* A gomb mérete a tartalomhoz igazodik */
}

.info-cell:hover {
    background-color: #FFD54F; /* Hover hatás: háttér színe változik */
    color: #424242; /* Szöveg színe vált sötétszürkére */
}
